VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ErrorInfo Class Reference

The `ErrorInfo` class contains the metadata information about the error elements contained in an operation element. More...

List of all members.

## Public Member Functions
| ErrorInfo ()
| Creates a default new instance.
string | GetStructureId ()
| Identifier for the structure element corresponding to the error that is being reported by the operation.
void | SetStructureId (string structureId)
| Identifier for the structure element corresponding to the error that is being reported by the operation.
string | GetDocumentation ()
| The English language documentation for the service element.
void | SetDocumentation (string documentation)
| The English language documentation for the service element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ErrorInfo` class contains the metadata information about the error elements contained in an operation element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ErrorInfo::ErrorInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ErrorInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ErrorInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ErrorInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ErrorInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ErrorInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ErrorInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::ErrorInfo::GetDocumentation | ( |  | ) | `[inline]`

The English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

override int vmware::vapi::metadata::metamodel::ErrorInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::metamodel::ErrorInfo::GetStructureId | ( |  | ) | `[inline]`

Identifier for the structure element corresponding to the error that is being reported by the operation.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::ErrorInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

The English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

void vmware::vapi::metadata::metamodel::ErrorInfo::SetStructureId | ( | string | structureId | ) | `[inline]`

Identifier for the structure element corresponding to the error that is being reported by the operation.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

override string vmware::vapi::metadata::metamodel::ErrorInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ErrorInfo.cs